[
  {
    "chunk_id": 1,
    "chunk_type": "dataset",
    "human_description": "This is dataset 'Customer_Quantity' definition for report 'ProductsReport'. Contains 4 fields: Name, Quantity, FirstName, LastName. Contains 1 parameters: CityParam. Query (sql): SELECT product.name, positions.quantity,\n\t\t\t\t\t\t address.firstname, address.lastname\n\t\t\t\tFROM product, positions, address, document\n\t\t\t\tWHERE product.i...",
    "raw_xml": "<dataset name=\"Customer_Quantity\" uuid=\"d7fa233d-253a-4620-93b5-d8c430099436\">\n\t\t<parameter name=\"CityParam\" class=\"java.lang.String\" />\n\t\t<query language=\"sql\">SELECT product.name, positions.quantity,\n\t\t\t\t\t\t address.firstname, address.lastname\n\t\t\t\tFROM product, positions, address, document\n\t\t\t\tWHERE product.id = positions.productid AND\n\t\t\t\t\t\taddress.id = document.addressid AND\n\t\t\t\t\t\tdocument.id = positions.documentid AND\n\t\t\t\t\t\taddress.city=$P{CityParam}</query>\n\t\t<field name=\"Name\" class=\"java.lang.String\" />\n\t\t<field name=\"Quantity\" class=\"java.lang.Integer\" />\n\t\t<field name=\"FirstName\" class=\"java.lang.String\" />\n\t\t<field name=\"LastName\" class=\"java.lang.String\" />\n\t</dataset>\n\t",
    "context": "Report 'ProductsReport' dataset 'Customer_Quantity'",
    "metadata": {
      "dataset_name": "Customer_Quantity",
      "field_names": [
        "Name",
        "Quantity",
        "FirstName",
        "LastName"
      ],
      "parameter_names": [
        "CityParam"
      ],
      "query": "SELECT product.name, positions.quantity,\n\t\t\t\t\t\t address.firstname, address.lastname\n\t\t\t\tFROM product, positions, address, document\n\t\t\t\tWHERE product.id = positions.productid AND\n\t\t\t\t\t\taddress.id = document.addressid AND\n\t\t\t\t\t\tdocument.id = positions.documentid AND\n\t\t\t\t\t\taddress.city=$P{CityParam}",
      "query_language": "sql",
      "properties": {}
    }
  },
  {
    "chunk_id": 1,
    "chunk_type": "dataset",
    "human_description": "This is dataset 'Customer_Quantity' definition for report 'ProductsReport'. Contains 4 fields: Name, Quantity, FirstName, LastName. Contains 1 parameters: CityParam. Query (sql): SELECT product.name, positions.quantity,\n\t\t\t\t\t\t address.firstname, address.lastname\n\t\t\t\tFROM product, positions, address, document\n\t\t\t\tWHERE product.i...",
    "raw_xml": "<dataset name=\"Customer_Quantity\" uuid=\"d7fa233d-253a-4620-93b5-d8c430099436\">\n\t\t<parameter name=\"CityParam\" class=\"java.lang.String\" />\n\t\t<query language=\"sql\">SELECT product.name, positions.quantity,\n\t\t\t\t\t\t address.firstname, address.lastname\n\t\t\t\tFROM product, positions, address, document\n\t\t\t\tWHERE product.id = positions.productid AND\n\t\t\t\t\t\taddress.id = document.addressid AND\n\t\t\t\t\t\tdocument.id = positions.documentid AND\n\t\t\t\t\t\taddress.city=$P{CityParam}</query>\n\t\t<field name=\"Name\" class=\"java.lang.String\" />\n\t\t<field name=\"Quantity\" class=\"java.lang.Integer\" />\n\t\t<field name=\"FirstName\" class=\"java.lang.String\" />\n\t\t<field name=\"LastName\" class=\"java.lang.String\" />\n\t</dataset>\n\t",
    "context": "Report 'ProductsReport' dataset 'Customer_Quantity'",
    "metadata": {
      "dataset_name": "Customer_Quantity",
      "field_names": [
        "Name",
        "Quantity",
        "FirstName",
        "LastName"
      ],
      "parameter_names": [
        "CityParam"
      ],
      "query": "SELECT product.name, positions.quantity,\n\t\t\t\t\t\t address.firstname, address.lastname\n\t\t\t\tFROM product, positions, address, document\n\t\t\t\tWHERE product.id = positions.productid AND\n\t\t\t\t\t\taddress.id = document.addressid AND\n\t\t\t\t\t\tdocument.id = positions.documentid AND\n\t\t\t\t\t\taddress.city=$P{CityParam}",
      "query_language": "sql",
      "properties": {}
    }
  }
]